Last Comment Bug 897685 - Double-click opens properties dialog
: Double-click opens properties dialog
Status: RESOLVED FIXED
: regression
Product: MailNews Core
Classification: Components
Component: Composition (show other bugs)
: 24
: All All
: -- normal (vote)
: Thunderbird 24.0
Assigned To: neil@parkwaycc.co.uk
:
Mentors:
: 894808 (view as bug list)
Depends on:
Blocks: 827017
  Show dependency treegraph
 
Reported: 2013-07-24 14:29 PDT by neil@parkwaycc.co.uk
Modified: 2013-08-12 08:17 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
wontfix
affected
fixed
unaffected


Attachments
Proposed patch (2.87 KB, patch)
2013-07-24 15:27 PDT, neil@parkwaycc.co.uk
iann_bugzilla: review+
mconley: feedback+
standard8: feedback+
standard8: approval‑comm‑beta+
Details | Diff | Review

Description neil@parkwaycc.co.uk 2013-07-24 14:29:33 PDT
Due to bug 879838 the change from checking clickCount to using dblclick events broke double-clicking on text, which now opens the properties dialog for the containing element. Although this is fixed on trunk we have to work around it on branches.
Comment 1 neil@parkwaycc.co.uk 2013-07-24 15:27:41 PDT
Created attachment 780634 [details] [diff] [review]
Proposed patch
Comment 2 Philip Chee 2013-07-30 12:21:25 PDT
*** Bug 894808 has been marked as a duplicate of this bug. ***
Comment 3 Mike Conley (:mconley) - (Away until June 29th) 2013-08-11 09:03:45 PDT
Comment on attachment 780634 [details] [diff] [review]
Proposed patch

Sorry for the wait!
Comment 4 neil@parkwaycc.co.uk 2013-08-11 15:24:28 PDT
Comment on attachment 780634 [details] [diff] [review]
Proposed patch

[Approval Request Comment]
Regression caused by (bug #): 827017 (because of bug 879838)
User impact if declined: Unexpected property dialogs when double-clicking
Testing completed (on m-c, etc.): N/A 879838 was fixed in Gecko 25
Risk to taking this patch (and alternatives if risky): Low
String changes made by this patch: None
Comment 5 Mark Banner (:standard8) 2013-08-12 04:18:58 PDT
Moving to mailnews as this affects both of us.
Comment 6 Mark Banner (:standard8) 2013-08-12 04:20:43 PDT
Comment on attachment 780634 [details] [diff] [review]
Proposed patch

a=Standard8
Comment 7 Mark Banner (:standard8) 2013-08-12 08:17:27 PDT
This already landed as part of:

http://hg.mozilla.org/releases/comm-beta/rev/4748f12ac8a1

Note You need to log in before you can comment on or make changes to this bug.